
Figure - Bug #117353
【BPS】【音频】音乐播放中，进入游戏（开心消消乐），游戏中接听语音电话，通话结束后，音乐无法播放
（在线/本地音频文件都无法播放）
2023-04-06 19:57 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102(X102)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version: 2023-04-20

Test Type: Free Test Root cause: 优化当中控发loss的时候，副屏当前拥有焦点的状态对应

Description

【测试步骤】

QQ音乐播放中，进入游戏开心消消乐中

此时有微信/QQ语音电话打入，点击接听

【预期结果】

能正常接听语音电话，挂断后游戏/音乐声音正常

【测试结果】

通话结束后，音乐无法播放，本地音乐和在线音乐都无法正常播放，游戏也无法声音输出

重启设备和中控后恢复正常

History

#1 - 2023-04-20 16:17 - Multimedia组-RD3_TSCD 梁卿山

Hi all,

引发当前问题的状态原因如下：

1.对于当前副屏是否拥有AudioFocus_VoiceCall焦点的判断有问题。

2.当中控发loss的时候，副屏当前拥有焦点的状态没有根据当前是否拥有vioce_call焦点而进行改变。

解决方式：优化对于当前副屏是否拥有AudioFocus_VoiceCall焦点的判断逻辑。优化当中控发loss的时候，副屏当前拥有焦点的状态对应

代码已入库，请用4.20号之后的版本测试

#2 - 2023-04-20 19:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195072 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Add type judgement when losing audiofocusAdd type judgement when losing audiofocusTC-RID: 0301-0900116IssueID:

TS-R-BUG-117353Change-Id: I7da67f2670d095cea865785d6daa11e3ad03b47b

#3 - 2023-04-20 20:00 - Multimedia组-RD3_TSCD 梁卿山
- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-20

- Root cause set to 优化当中控发loss的时候，副屏当前拥有焦点的状态对应

HI 永红

代码已经入库，请使用4/20后的版本测试，谢谢！

#4 - 2023-04-21 10:08 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from NEED_INFO to RESOLVED

#5 - 2023-04-21 15:45 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

4.21

验证通过

#6 - 2023-04-21 15:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
